org.apache.xmlgraphics.xmp.schemas

## Class XMPBasicSchema

- java.lang.Object
- - org.apache.xmlgraphics.xmp.XMPSchema
  - - org.apache.xmlgraphics.xmp.schemas.XMPBasicSchema

-     public class XMPBasicSchema
      extends XMPSchema

  XMP schema for XMP Basic.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `NAMESPACE` Namespace URI for XMP Basic
    `static java.lang.String` | `PREFERRED_PREFIX` Preferred prefix for XMP Basic
    `static java.lang.String` | `QUALIFIER_NAMESPACE` Namespace URI for the qualifier for xmp:Identifier
    `static QName` | `SCHEME_QUALIFIER` The qualified name for the qualifier for xmp:Identifier

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMPBasicSchema()` Creates a new schema instance for Dublin Core.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XMPBasicAdapter` | `getAdapter(Metadata meta)` Creates and returns an adapter for this schema around the given metadata object.
    `MergeRuleSet` | `getDefaultMergeRuleSet()`

    - ### Methods inherited from class org.apache.xmlgraphics.xmp.XMPSchema

      `addExtraNamespace, getExtraNamespaces, getNamespace, getPreferredPrefix, getQName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final java.lang.String NAMESPACE

      Namespace URI for XMP Basic
      See Also:
        Constant Field Values

    - #### PREFERRED_PREFIX

          public static final java.lang.String PREFERRED_PREFIX

      Preferred prefix for XMP Basic
      See Also:
        Constant Field Values

    - #### QUALIFIER_NAMESPACE

          public static final java.lang.String QUALIFIER_NAMESPACE

      Namespace URI for the qualifier for xmp:Identifier
      See Also:
        Constant Field Values

    - #### SCHEME_QUALIFIER

          public static final QName SCHEME_QUALIFIER

      The qualified name for the qualifier for xmp:Identifier

  - ### Constructor Detail

    - #### XMPBasicSchema

          public XMPBasicSchema()

      Creates a new schema instance for Dublin Core.

  - ### Method Detail

    - #### getAdapter

          public static XMPBasicAdapter getAdapter(Metadata meta)

      Creates and returns an adapter for this schema around the given metadata object.
      Parameters:
        `meta` - the metadata object
      Returns:
        the newly instantiated adapter

    - #### getDefaultMergeRuleSet

          public MergeRuleSet getDefaultMergeRuleSet()

      Overrides:
        `getDefaultMergeRuleSet` in class `XMPSchema`
      Returns:
        the default merge rule set for this XMP schema.
      See Also:
        `XMPSchema.getDefaultMergeRuleSet()`

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.